org.apache.commons.math3.geometry.partitioning

## Enum Side

- java.lang.Object
- - java.lang.Enum<Side>
  - - org.apache.commons.math3.geometry.partitioning.Side

- All Implemented Interfaces:
    Serializable, Comparable<Side>

      public enum Side
      extends Enum<Side>

  Enumerate representing the location of an element with respect to an `hyperplane` of a space.
  Since:
    3.0
  Version:
    $Id: Side.java 1244107 2012-02-14 16:17:55Z erans $

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BOTH` Code for elements crossing the hyperplane from plus to minus side.
    `HYPER` Code for the hyperplane itself.
    `MINUS` Code for the minus side of the hyperplane.
    `PLUS` Code for the plus side of the hyperplane.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Side` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Side[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PLUS

          public static final Side PLUS

      Code for the plus side of the hyperplane.

    - #### MINUS

          public static final Side MINUS

      Code for the minus side of the hyperplane.

    - #### BOTH

          public static final Side BOTH

      Code for elements crossing the hyperplane from plus to minus side.

    - #### HYPER

          public static final Side HYPER

      Code for the hyperplane itself.

  - ### Method Detail

    - #### values

          public static Side[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Side c : Side.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Side valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2003-2012 The Apache Software Foundation. All Rights Reserved.